Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229115 - Current usage of /etc/udev/devices may crash the system when greping /etc
Summary: Current usage of /etc/udev/devices may crash the system when greping /etc
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-17 11:03 UTC by Till Maas
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-31 17:13:23 UTC


Attachments (Terms of Use)

Description Till Maas 2007-02-17 11:03:16 UTC
Description of problem:
/etc/udev/devices/ may contain device files, when / is not mounted with nodev
option, which is the default, and someone uses grep -R on /etc the system may
hang - or other unexpected behaviour may occur.

Version-Release number of selected component (if applicable):
2.6.1.1-1

How reproducible:
always

Comment 1 Phil Knirsch 2007-05-24 13:21:02 UTC
/etc/fstab isn't created by setup but rather during installation, so reassigning
this bug to anaconda.

Read ya, Phil

Comment 2 Jeremy Katz 2007-05-24 15:59:57 UTC
This could break cases where people expect to be able to use devices elsewhere,
though.  /etc/udev/devices should really use a textual description of the
devices much like MAKEDEV does

Comment 3 Till Maas 2007-05-24 16:19:45 UTC
(In reply to comment #2)
> This could break cases where people expect to be able to use devices elsewhere,
> though.  /etc/udev/devices should really use a textual description of the
> devices much like MAKEDEV does

How often does one use device-files outside of /dev and why does anyone need this?

Comment 4 Harald Hoyer 2007-05-31 17:13:23 UTC
/etc/udev/devices/ is deprecated.. the use of /etc/udev/makedev.d is encouraged
for exactly this reason.


Note You need to log in before you can comment on or make changes to this bug.